import { EventEmitter, SimpleChanges, OnChanges, TemplateRef, OnInit } from '@angular/core';
import { TreeviewI18n } from '../../models/treeview-i18n';
import { TreeviewItem, TreeviewSelection } from '../../models/treeview-item';
import { TreeviewConfig } from '../../models/treeview-config';
import { TreeviewHeaderTemplateContext } from '../../models/treeview-header-template-context';
import { TreeviewItemTemplateContext } from '../../models/treeview-item-template-context';
import { TreeviewEventParser } from '../../helpers/treeview-event-parser';
import * as i0 from "@angular/core";
export declare class TreeviewComponent implements OnChanges, OnInit {
    i18n: TreeviewI18n;
    private defaultConfig;
    private eventParser;
    headerTemplate: TemplateRef<TreeviewHeaderTemplateContext>;
    itemTemplate: TemplateRef<TreeviewItemTemplateContext>;
    items: TreeviewItem[];
    config: TreeviewConfig;
    selectedChange: EventEmitter<any[]>;
    filterChange: EventEmitter<string>;
    headerTemplateContext: TreeviewHeaderTemplateContext;
    allItem: TreeviewItem;
    filterText: string;
    filterItems: TreeviewItem[];
    selection: TreeviewSelection;
    constructor(i18n: TreeviewI18n, defaultConfig: TreeviewConfig, eventParser: TreeviewEventParser);
    get hasFilterItems(): boolean;
    get maxHeight(): string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onAllCollapseExpand(): void;
    onFilterTextChange(text: string): void;
    onAllCheckedChange(dontRaiseSelectedChange?: boolean): void;
    unCheckAllItems(): void;
    onItemCheckedChange(item: TreeviewItem, checked: boolean): void;
    raiseSelectedChange(): void;
    private createHeaderTemplateContext;
    private generateSelection;
    private updateFilterItems;
    private filterItem;
    private updateCheckedOfAll;
    private updateCollapsedOfAll;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeviewComponent, "ngx-treeview", never, { "headerTemplate": "headerTemplate"; "itemTemplate": "itemTemplate"; "items": "items"; "config": "config"; }, { "selectedChange": "selectedChange"; "filterChange": "filterChange"; }, never, never, false>;
}
